> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firecrawl.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# クレジット使用履歴

月ごとのクレジット使用状況を返します。必要に応じて、APIキーごとの内訳も取得できます。

> Firecrawl APIキーを必要とするAIエージェントですか？自動オンボーディング手順については、[firecrawl.dev/agent-onboarding/SKILL.md](https://www.firecrawl.dev/agent-onboarding/SKILL.md)を参照してください。


## OpenAPI

````yaml ja/api-reference/v2-openapi.json GET /team/credit-usage/historical
openapi: 3.0.0
info:
  contact:
    email: support@firecrawl.dev
    name: Firecrawl Support
    url: https://firecrawl.dev/support
  description: Firecrawlのサービスを利用して、Webスクレイピングやクロールを行うためのAPIです。
  title: Firecrawl API
  version: v2
servers:
  - url: https://api.firecrawl.dev/v2
security:
  - bearerAuth: []
paths:
  /team/credit-usage/historical:
    get:
      tags:
        - Billing
      summary: 認証済みチームのクレジット利用履歴を取得します
      operationId: getHistoricalCreditUsage
      parameters:
        - description: APIキーごとのクレジット使用履歴を取得
          in: query
          name: byApiKey
          required: false
          schema:
            default: false
            type: boolean
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  periods:
                    items:
                      properties:
                        apiKey:
                          description: >-
                            請求期間に使用された API キーの名前。byApiKey が false（デフォルト）の場合は
                            null
                          nullable: true
                          type: string
                        endDate:
                          description: 請求期間の終了日
                          example: '2025-01-31T23:59:59Z'
                          format: date-time
                          type: string
                        startDate:
                          description: 請求期間の開始日
                          example: '2025-01-01T00:00:00Z'
                          format: date-time
                          type: string
                        totalCredits:
                          description: 請求期間中に使用したクレジットの総数
                          example: 1000
                          type: integer
                      type: object
                    type: array
                  success:
                    example: true
                    type: boolean
                type: object
          description: 成功時のレスポンス
        '500':
          content:
            application/json:
              schema:
                properties:
                  error:
                    example: >-
                      Internal server error while fetching historical credit
                      usage
                    type: string
                  success:
                    example: false
                    type: boolean
                type: object
          description: サーバーエラー
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````